//+------------------------------------------------------------------+ 
//|   TRO_MM_STIX                                                    | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 


#property  copyright "Copyright  2009, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
 

#property indicator_chart_window
  
extern int  yAxis = 0 ;
extern int  Corner = 1;


extern int       Length = 10; // Period of evaluation
extern int       Smooth =  5; // Period of smoothing
extern int       ModeMA =  1; // Mode of Moving Average



extern color UpColor   =Lime;
extern color DownColor =Red;
extern color FlatColor =Yellow;
extern color TextColor =DodgerBlue;





int tframe[]={1,5,15,30,60,240,1440,10080,43200};

string tf[]={"M1","M5","M15","M30","H1","H4","D1","W1","MN"};

int tfnumber=9;  

double cValue, pValue;

string TimeFrameStr;
double IndVal[9];

int xpos[9], ypos[9];
int w , j , xposTAG;

string TAG = "STIX", CustomName = "STIX_v1";

string ArrowHeadRt =  "" ; // 216 up arrow head
string ArrowHeadUp =  "" ; // 217 up arrow head
string ArrowHeadDn =  "" ; // 218 up arrow head 

string theArrow[9];
color  theColor[9];

//+------------------------------------------------------------------+
int init()
  {

if(Corner == 1 || Corner == 3)
{ 
   for( w = 0 ; w < tfnumber ; w++) { xpos[w] = 15 + ((9 - w)*23)  ; } 
   xposTAG = 240 ;
} 
else
{
   for( w=0;w<tfnumber;w++) { xpos[w] = w*23 + 50 ; }
   xposTAG = 10 ;
}

         ObjectCreate(TAG+"HD",OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+"HD",OBJPROP_CORNER,Corner);
         ObjectSet(TAG+"HD",OBJPROP_XDISTANCE,xposTAG);
         ObjectSet(TAG+"HD",OBJPROP_YDISTANCE,yAxis+30);
         ObjectSetText(TAG+"HD",TAG,8,"Tahoma",TextColor);

   for( w=0;w<tfnumber;w++)
      {
         ObjectCreate(TAG+tf[w],OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+tf[w],OBJPROP_CORNER,Corner);
         ObjectSet(TAG+tf[w],OBJPROP_XDISTANCE,xpos[w]);
         ObjectSet(TAG+tf[w],OBJPROP_YDISTANCE,yAxis+20);
         ObjectSetText(TAG+tf[w],tf[w],8,"Tahoma",TextColor);
      }

//----
   return(0);
  } 
  
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete(TAG+"HD");
   for(int k=0;k<tfnumber+1;k++)
      ObjectDelete(TAG+k);
   for(k=0;k<tfnumber+1;k++)
      ObjectDelete(tf[k-1]);
   
//----
   return(0);
  }
  
//+------------------------------------------------------------------+
int start()
  {
   
//----
   

   for( j=0;j<tfnumber ;j++)
   {
      if (ObjectFind(TAG+j) != 0)
      {
         ObjectCreate(TAG+j,OBJ_LABEL,0,0,0,0,0);
         ObjectSet(TAG+j,OBJPROP_CORNER,Corner);
         ObjectSet(TAG+j,OBJPROP_XDISTANCE,xpos[j]);
         ObjectSet(TAG+j,OBJPROP_YDISTANCE,yAxis+30);
         ObjectSetText(TAG+j,CharToStr(110),12,"Wingdings",White);
      }// if
   } // for

      
   for(int x=0;x<tfnumber;x++)
   {
        cValue  = iCustom(NULL, tframe[x], CustomName, Length,Smooth,ModeMA,  0,0);       
     
        if (cValue > 58)
        {
         IndVal[x]   = 1;
         theArrow[x] = ArrowHeadUp ;
         theColor[x] = UpColor ;
        }
        else if (cValue < 45)
        {
         IndVal[x]   = -1;
         theArrow[x] = ArrowHeadDn ;
         theColor[x] = DownColor ;         
        }
        else 
        {
         IndVal[x]   = 0;
         theArrow[x] = ArrowHeadRt ;
         theColor[x] = FlatColor ;
        }
   }
   
   
      for(int y=0;y<tfnumber;y++)
      {
         ObjectSetText(TAG+y,theArrow[y],12,"Wingdings",theColor[y]);
      }  
        
   
//----
   return(0);
  }
//+------------------------------------------------------------------+